Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1603469

Summary: bbkeys: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: bbkeysAssignee: Matthias Saou <matthias>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i.gnatenko.brain, jaromir.capik, matthias
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-24 22:18:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1602938, 1551327    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-19 14:57:39 UTC
bbkeys failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28168808


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix bbkeys at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bbkeys will be orphaned. Before branching of Fedora 30,
bbkeys will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:57:44 UTC
Created attachment 1460652 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:57:48 UTC
Created attachment 1460653 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:57:50 UTC
Created attachment 1460654 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:03:00 UTC
Matches:
/bin/sh: g++: command not found

Suggested fix:
BuildRequires:  gcc-c++

Comment 5 Igor Gnatenko 2018-07-24 22:18:48 UTC
There has been at least one successfull build after this bug got created.

bbkeys-0.9.0-32.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1106532